# Changelog

Todos los cambios notables en el proyecto MRDevs Tools serán documentados en este archivo.

El formato está basado en [Keep a Changelog](https://keepachangelog.com/es-ES/1.0.0/),
y el proyecto adhiere a [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.1.0] - 2025-03-13

### Añadido
- Sistema de creación de proyectos estandarizados con `project_new.sh`
- Selector de tipo de servidor git (GitHub, GitLab, Gitea, Forgejo, None) al crear proyectos
- Archivos `.gitignore` específicos para cada tipo de proyecto
- Creación automática de carpeta `$HOME/.developer` para configuraciones de servidor git
- Soporte para nuevos tipos de proyectos: PHP, C, C++, C#, Rust
- Inclusión de carpeta `.developer` en respaldos del perfil del desarrollador
- Inicialización automática de repositorio git en nuevos proyectos

### Mejorado
- Formato de fecha de modificación estandarizado con hora en encabezados de scripts
- Formato de autores en README y extracción automática de datos de git config
- Solicitud de descripción de proyecto y generación de README.md profesional
- Selección de licencia al crear nuevos proyectos
- Diálogos de selección con tamaños optimizados

### Modificado
- Eliminación de scripts obsoletos (odoo_set.sh, project_create.sh)
- Renombrado de script de creación de proyectos a project_new.sh
- Cambio de nombre de archivo de tipo de proyecto a .protype
- Reducción de altura del diálogo de licencia
- Visualización de licencias de Odoo solo cuando el tipo de proyecto es Odoo

### Corregido
- Ubicación de carpeta de proyectos dentro de directorio devs
- Mensaje cuando el proyecto ya existe

### Documentación
- Actualización de README.md con nuevas funcionalidades
- Adición de Cortana como colaborador digital
- Ampliación de lista de etiquetas para mensajes de commit
- Información detallada sobre rate_update.py y cocomo.py
- Política de encabezados para archivos Python

## [1.0.0] - 2025-03-01

### Añadido
- Sistema de mensajes multilingües
- Scripts básicos para bootstrap y actualizaciones
- Instalación y configuración de herramientas de desarrollo
- Herramientas para gestión de tarifas y estimación de costos
- Integración con Claude Code (Cortana)
- Respaldo y restauración de perfiles de desarrollador
- Soporte para múltiples sistemas operativos

### Seguridad
- Implementación de encriptación para tokens y credenciales
- Gestión segura de información sensible con SOPS

_Nota: Este documento resume los cambios más importantes. Para un historial completo, consulte el registro de commits de git._